# netctlgui: netctlWifiInfo Struct Reference

All Classes Files Functions Variables
netctlWifiInfo Struct Reference

WiFi information structure. More...

## Public Attributes

QString | name
QString | security
QString | signal
bool | active
bool | exists

## Detailed Description

WiFi information structure.

## Member Data Documentation

netctlWifiInfo::active

whether associated profile is active

netctlWifiInfo::exists

whether associated profile exists

netctlWifiInfo::name

ESSID

netctlWifiInfo::security

may be "WPA2", "WEP", "WEP", "none"

netctlWifiInfo::signal

Wifi point signal

The documentation for this struct was generated from the following file:

- wpasupinteract.h